import { RDateService } from './date.service';
export declare class RCalendarYearModelService<D> {
    protected dateService: RDateService<D>;
    protected yearsInView: number;
    protected yearsInRow: number;
    constructor(dateService: RDateService<D>);
    getYearsInView(): number;
    getYearsInRow(): number;
    getViewYears(viewYear: D): D[][];
    protected copyWithYear(year: number, date: D): D;
}
